profound-logoProfound CMS
⌘K
Admin
Theme
BelgelerTutorialBlogPhilosophy
BelgelerTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyŞablon oluşturucuda komut dosyası yazmaProject ScaffoldingMedia Library

Headless

Hızlı BaşlangıçSplit Screen JSON Component Builder with LLMComponent Zod Pull

REST API

REST API OverviewgetConnect your websitegetGET /routesgetGET /routegetGET /blocksgetCEL önbelleği ile blokları getirgetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getVeri kümesi şema adını algetGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postGönderi çevirisipatchÇeviri yamalarıgetKullanımı alpostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /components

Bir web sitesinin özel bileşen (içerik türü şeması) özetlerini listeleyin.

Bir web sitesi için özel bileşen (içerik türü şeması) özetlerini ada göre sıralanmış olarak listeler. Yalnızca kullanıcı tanımlı özel şemalar döndürülür.

Kimlik doğrulama: API anahtarı (x-api-key üstbilgisi veya api_key sorgu parametresi).

Sorgu parametreleri

ParametreTürGerekliNotlar
websiteIduuidevetGeçerli bir UUID olmalıdır. Bu uç noktada Host/config geri dönüşü yoktur.
statestringhayırYaşam döngüsü durumuna göre filtreleyin: draft, active veya archived.
api_keystringhayırx-api-key üstbilgisine alternatif.

Yanıt

Bileşen özetlerinden oluşan bir JSON dizisi:

[
  {
    "id": "...",
    "name": "post",
    "displayName": "Post",
    "description": "Bir dokümantasyon gönderisi",
    "category": "Custom",
    "tags": [],
    "fields": [],
    "icon": null,
    "source": "custom",
    "version": 8,
    "routeSlugField": "title"
  }
]

source her zaman "custom" değerindedir. displayName, ayarlanmadığında name değerine geri döner ve category varsayılan olarak "Custom" olur.

Örnek

curl '{CMS_API_URL}/components?websiteId=<uuid>&state=active' \
  -H 'x-api-key: <key>'

Hatalar

  • 400 — eksik veya geçersiz websiteId
  • 401 — geçersiz API anahtarı
Continue Reading
Previous‹GET /blocks/generatedNextGET /components/{name}›